package net.codinux.banking.client

import net.codinux.banking.client.model.MessageLogEntry
import net.codinux.banking.client.model.tan.EnterTanResult
import net.codinux.banking.client.model.tan.TanChallenge

interface BankingClientCallback {

    fun enterTan(tanChallenge: TanChallenge, callback: (EnterTanResult) -> Unit)

    /**
     * An optional method, for sure not available for all client implementations (currently only for FinTs4kBankingClient).
     *
     * Gets fired when a FinTS message get sent to bank server, a FinTS message is received from bank server or an error occurred.
     */
    fun messageLogAdded(messageLogEntry: MessageLogEntry)

}