package net.codinux.banking.client

import net.codinux.banking.client.model.MessageLogEntry
import net.codinux.banking.client.model.tan.EnterTanResult
import net.codinux.banking.client.model.tan.TanChallenge

open class SimpleBankingClientCallback(
    protected val messageLogAdded: ((MessageLogEntry) -> Unit)? = null,
    protected val enterTan: ((tanChallenge: TanChallenge, callback: (EnterTanResult) -> Unit) -> Unit)? = null
) : BankingClientCallback {

    override fun enterTan(tanChallenge: TanChallenge, callback: (EnterTanResult) -> Unit) {
        if (enterTan != null) {
            enterTan.invoke(tanChallenge, callback)
        } else {
            callback(EnterTanResult(null))
        }
    }

    override fun messageLogAdded(messageLogEntry: MessageLogEntry) {
        messageLogAdded?.invoke(messageLogEntry)
    }

}