package net.codinux.banking.client

import kotlinx.coroutines.runBlocking
import net.codinux.banking.client.model.options.GetAccountDataOptions
import net.codinux.banking.client.model.request.GetAccountDataRequest

fun BankingClient.getAccountData(bankCode: String, loginName: String, password: String) = runBlocking {
    this@getAccountData.getAccountDataAsync(bankCode, loginName, password)
}

fun BankingClient.getAccountData(request: GetAccountDataRequest) = runBlocking {
    this@getAccountData.getAccountDataAsync(request)
}

fun BankingClientForUser.getAccountData() = runBlocking {
    this@getAccountData.getAccountDataAsync()
}

fun BankingClientForUser.getAccountData(options: GetAccountDataOptions) = runBlocking {
    this@getAccountData.getAccountDataAsync(options)
}