package net.codinux.banking.client.model

import platform.Foundation.NSDecimalNumber
import net.codinux.banking.client.model.config.NoArgConstructor
import platform.Foundation.NSDecimalNumberHandler
import platform.Foundation.NSRoundingMode

@NoArgConstructor
actual class Amount actual constructor(amount: String) {

    actual companion object {
        actual val Zero = Amount("0.00")

        private val handler = NSDecimalNumberHandler.decimalNumberHandlerWithRoundingMode(roundingMode = NSRoundingMode.NSRoundBankers, scale = DecimalPrecision.toShort(), false, false, false, false)
    }


    internal val amount = NSDecimalNumber(string = amount)


    actual operator fun plus(other: Amount): Amount =
        Amount(amount.decimalNumberByAdding(other.amount).stringValue)

    actual operator fun minus(other: Amount): Amount =
        Amount(amount.decimalNumberBySubtracting(other.amount).stringValue)

    actual operator fun times(other: Amount): Amount =
        Amount(amount.decimalNumberByMultiplyingBy(other.amount).stringValue)

    actual operator fun div(other: Amount): Amount =
        Amount(amount.decimalNumberByDividingBy(other.amount, handler).stringValue)


    override fun equals(other: Any?): Boolean {
        return other is Amount && this.amount == other.amount
    }

    override fun hashCode() =
        amount.hashCode()

    actual override fun toString(): String = amount.stringValue

}