package net.codinux.banking.client.model

import net.codinux.banking.client.model.config.NoArgConstructor


internal const val DecimalPrecision = 20 // 20 to match Big.js's behavior


fun Amount.toFloat() =
    this.toString().toFloat()

fun Amount.toDouble() =
    this.toString().toDouble()

val Amount.isNegative: Boolean
    get() = this.toString().startsWith("-")

fun Collection<Amount>.sum(): Amount {
    var sum: Amount = Amount.Zero

    for (element in this) {
        sum += element
    }

    return sum
}


@NoArgConstructor
expect class Amount(amount: String = "0") {

    companion object {
        val Zero: Amount
    }


    operator fun plus(other: Amount): Amount
    operator fun minus(other: Amount): Amount
    operator fun times(other: Amount): Amount
    operator fun div(other: Amount): Amount

    override fun toString(): String

}