package net.codinux.banking.client.model

import net.codinux.banking.client.model.config.NoArgConstructor

/**
 * Contains only the basic info of a [BankAccount], just enough that a client application can display it to the user
 * and the user knows exactly which [BankAccount] is meant / referred.
 */
@NoArgConstructor
open class BankAccountViewInfo(
    val identifier: String,
    val subAccountNumber: String? = null,
    val type: BankAccountType = BankAccountType.Other,
    val iban: String? = null,
    val productName: String? = null,
) {
    override fun toString() = "$type $productName $identifier"
}