package net.codinux.banking.client.model

import kotlinx.datetime.Clock
import kotlinx.datetime.Instant

open class MessageLogEntry(
    open val type: MessageLogEntryType,
    open val message: String,
    open val messageWithoutSensitiveData: String? = null,
    open val error: Throwable? = null,
    open val time: Instant = Clock.System.now(),

    val messageNumberString: String? = null,
    val messageNumber: Int? = null,

    val jobType: String? = null,
    val messageCategory: String? = null,

    val bank: BankAccess? = null, // TODO: make non-null
    val account: BankAccount? = null
) {
    override fun toString() = "$messageNumberString $jobType $messageCategory $type $message"
}