package net.codinux.banking.client.model.request

import net.codinux.banking.client.model.AccountCredentials
import net.codinux.banking.client.model.BankInfo
import net.codinux.banking.client.model.config.NoArgConstructor
import net.codinux.banking.client.model.options.GetAccountDataOptions

@NoArgConstructor
open class GetAccountDataRequest(bankCode: String, loginName: String, password: String, val options: GetAccountDataOptions? = null, val bankInfo: BankInfo? = null)
    : AccountCredentials(bankCode, loginName, password) {

    constructor(credentials: AccountCredentials, options: GetAccountDataOptions? = null)
            : this(credentials.bankCode, credentials.loginName, credentials.password, options)

    override fun toString() = "${super.toString()}: $options"
}