package net.codinux.banking.client.model.response

import net.codinux.banking.client.model.config.NoArgConstructor

@NoArgConstructor
open class Error(
    val type: ErrorType,

    /**
     * A banking client internal error like an error occurred during response parsing.
     */
    val internalError: String? = null,
    /**
     * Error messages as received from bank
     */
    val errorMessagesFromBank: List<String> = emptyList(),
) {
    override fun toString() = "$type: ${internalError ?: errorMessagesFromBank.joinToString()}"
}