package net.codinux.banking.client.model.response

import net.codinux.banking.client.model.AccountTransaction
import net.codinux.banking.client.model.BankAccess
import net.codinux.banking.client.model.MessageLogEntry
import net.codinux.banking.client.model.config.JsonIgnore
import net.codinux.banking.client.model.config.NoArgConstructor

@Suppress("RUNTIME_ANNOTATION_NOT_SUPPORTED")
@NoArgConstructor
open class GetAccountDataResponse(
    val bank: BankAccess
) {

    @get:JsonIgnore
    val bookedTransactions: List<AccountTransaction>
        get() = bank.accounts.flatMap { it.bookedTransactions }.sortedByDescending { it.valueDate }


    override fun toString() = bank.toString()
}