package net.codinux.banking.client.model.response

import kotlinx.datetime.Instant
import kotlinx.datetime.LocalDate
import net.codinux.banking.client.model.AccountTransaction
import net.codinux.banking.client.model.Amount
import net.codinux.banking.client.model.BankAccount
import net.codinux.banking.client.model.PrebookedAccountTransaction
import net.codinux.banking.client.model.config.NoArgConstructor
import net.codinux.banking.client.model.securitiesaccount.Holding

@NoArgConstructor
open class GetTransactionsResponse(
    val account: BankAccount,
    val balance: Amount? = null,
    val bookedTransactions: List<AccountTransaction>,
    val prebookedTransactions: List<PrebookedAccountTransaction>,
    val holdings: List<Holding> = emptyList(),
    val transactionsRetrievalTime: Instant,
    val retrievedTransactionsFrom: LocalDate? = null,
    val retrievedTransactionsTo: LocalDate? = null
) {
    override fun toString() = "${account.productName} $balance, ${bookedTransactions.size} booked transactions from $retrievedTransactionsFrom"
}