package net.codinux.banking.client.model.tan

import net.codinux.banking.client.model.config.JsonIgnore
import net.codinux.banking.client.model.config.NoArgConstructor

@Suppress("RUNTIME_ANNOTATION_NOT_SUPPORTED")
@NoArgConstructor
open class FlickerCode(
    val challengeHHD_UC: String,
    val parsedDataSet: String? = null,
    val decodingError: String? = null
) {

    @get:JsonIgnore
    val decodingSuccessful: Boolean
        get() = parsedDataSet != null


    override fun toString(): String {
        if (decodingSuccessful == false) {
            return "Decoding error: $decodingError"
        }

        return "Parsed $challengeHHD_UC to $parsedDataSet"
    }

}