package net.codinux.banking.client.model.tan

import kotlinx.datetime.LocalDate
import net.codinux.banking.client.model.config.NoArgConstructor

@NoArgConstructor
/**
 * 'TanGenerator' is in most cases a debit card, but can also be something like "BestSign" app (Postbank).
 * In latter case [cardNumber] can also be, contrary to specification, be an empty string.
 */
open class TanGeneratorTanMedium(
    val cardNumber: String,
    val cardSequenceNumber: String? = null,
    val cardType: Int? = null,
    val validFrom: LocalDate? = null,
    val validTo: LocalDate? = null
) {
    override fun toString() = cardNumber
}