package net.codinux.banking.client.model.tan

import net.codinux.banking.client.model.config.JsonIgnore
import net.codinux.banking.client.model.config.NoArgConstructor

@Suppress("RUNTIME_ANNOTATION_NOT_SUPPORTED")
@NoArgConstructor
open class TanImage(
    val mimeType: String? = null,
    val imageBytesBase64: String? = null,
    val decodingError: String? = null
) {

    @get:JsonIgnore
    val decodingSuccessful: Boolean
        get() = mimeType != null && imageBytesBase64 != null


    override fun toString(): String {
        mimeType?.let {
            return mimeType
        }

        return "Decoding error: $decodingError"
    }

}