package net.codinux.banking.client.model.tan

enum class TanMediumStatus {

    /**
     * Die Bank zeigt an, dass es eine TAN-Verifikation gegen dieses Medium vornimmt.
     */
    Used,

    /**
     * Das Medium kann genutzt werden, muss aber zuvor mit „TAN-Generator an- bzw. ummelden (HKTAU)“ aktiv gemeldet werden.
     */
    Available,

    /**
     * Mit der ersten Nutzung der Folgekarte wird die zur Zeit aktive Karte gesperrt.
     */
    ActiveFollowUpCard,

    /**
     * Das Medium kann mit dem Geschäftsvorfall „TAN-Medium an- bzw. ummelden (HKTAU)“ aktiv gemeldet werden.
     * Die aktuelle Karte kann dann nicht mehr genutzt werden.
     */
    AvailableFollowUpCard
}