package net.codinux.banking.client.model.tan

import net.codinux.banking.client.model.config.JsonIgnore
import net.codinux.banking.client.model.config.NoArgConstructor

@Suppress("RUNTIME_ANNOTATION_NOT_SUPPORTED")
@NoArgConstructor
open class TanMethod(
    open val displayName: String,
    open val type: TanMethodType,
    open val identifier: String,
    open val maxTanInputLength: Int? = null,
    open val allowedTanFormat: AllowedTanFormat = AllowedTanFormat.Alphanumeric,
    open var userSetDisplayName: String? = null
) {

    @get:JsonIgnore
    open val isNumericTan: Boolean
        get() = allowedTanFormat == AllowedTanFormat.Numeric

    override fun toString() = "$displayName ($type, ${identifier})"
}