package net.codinux.banking.client.model

import net.codinux.banking.client.model.config.NoArgConstructor

@JsModule("big.js")
@JsNonModule
open external class Big(value: String) {
    fun plus(other: Big): Big
    fun minus(other: Big): Big
    fun times(other: Big): Big
    fun div(other: Big): Big
    override fun toString(): String
}


@NoArgConstructor
actual class Amount actual constructor(amount: String): Big(amount) {

    actual companion object {
        actual val Zero = Amount("0.00")
    }


    actual operator fun plus(other: Amount): Amount {
        return Amount(super.plus(other).toString())
    }

    actual operator fun minus(other: Amount): Amount {
        return Amount(super.minus(other).toString())
    }

    actual operator fun times(other: Amount): Amount {
        return Amount(super.times(other).toString())
    }

    actual operator fun div(other: Amount): Amount {
        return Amount(super.div(other).toString())
    }


    override fun equals(other: Any?): Boolean {
        return other is Amount && this.toString() == other.toString()
    }

    override fun hashCode(): Int {
        return super.hashCode()
    }

    actual override fun toString(): String = super.toString()

}