package net.codinux.banking.client.model

import net.codinux.banking.client.model.config.NoArgConstructor

@JsModule("big.js")
open external class Big(value: String) {
    fun plus(other: Big): Big
    fun minus(other: Big): Big
    fun times(other: Big): Big
    fun div(other: Big): Big
    override fun toString(): String
}


@NoArgConstructor
actual class Amount actual constructor(amount: String) {

    actual companion object {
        actual val Zero = Amount("0.00")
    }


    internal val amount = Big(amount)


    actual operator fun plus(other: Amount): Amount {
        return Amount(amount.plus(other.amount).toString())
    }

    actual operator fun minus(other: Amount): Amount {
        return Amount(amount.minus(other.amount).toString())
    }

    actual operator fun times(other: Amount): Amount {
        return Amount(amount.times(other.amount).toString())
    }

    actual operator fun div(other: Amount): Amount {
        return Amount(amount.div(other.amount).toString())
    }


    override fun equals(other: Any?): Boolean {
        return other is Amount && amount.toString() == other.amount.toString()
    }

    override fun hashCode(): Int {
        return super.hashCode()
    }

    actual override fun toString(): String = amount.toString()

}