package net.codinux.banking.client.fints4k

import kotlinx.coroutines.test.runTest
import net.codinux.banking.client.SimpleBankingClientCallback
import net.codinux.banking.client.model.response.ResponseType
import net.codinux.banking.client.model.tan.EnterTanResult
import kotlin.test.*

@Ignore
class FinTs4kBankingClientTest {

    companion object {

        // set your credentials here:
        private const val bankCode = ""
        private const val loginName = ""
        private const val password = ""
    }


    private val underTest = FinTs4kBankingClientForUser(bankCode, loginName, password, SimpleBankingClientCallback { tanChallenge, callback ->
        println("WARN: TAN is required to execute test: ${tanChallenge.messageToShowToUser}")

        val enteredTan: String? = null
        callback(EnterTanResult(enteredTan))
    })


    @Test
    fun getAccountDataAsync() = runTest {
        val result = underTest.getAccountDataAsync()

        assertEquals(ResponseType.Success, result.type)
        assertNotNull(result.data)
        assertTrue(result.data!!.bookedTransactions.isNotEmpty())
    }

}