buildscript {
    repositories {
        mavenCentral()
    }

    val kotlinVersion: String by extra

    dependencies {
        classpath("org.jetbrains.kotlin:kotlin-gradle-plugin:$kotlinVersion")
    }
}

allprojects {
    group = "net.codinux.banking.client"
    version = "0.7.2"

    repositories {
        mavenCentral()
        mavenLocal()
        maven {
            setUrl("https://maven.dankito.net/api/packages/codinux/maven")
        }
    }


    ext["sourceCodeRepositoryBaseUrl"] = "git.dankito.net/codinux/BankingClient"

    ext["projectDescription"] = "Model and base definitions for Banking Client, a common abstraction for different implements of banking libraries"
}


tasks.register("publishAllToMavenLocal") {
    dependsOn(
        ":BankingClientModel:publishToMavenLocal",
        ":BankingClient:publishToMavenLocal",

        ":fints4k-banking-client:publishToMavenLocal"
    )
}

tasks.register("publishAll") {
    dependsOn(
        ":BankingClientModel:publish",
        ":BankingClient:publish",

        ":fints4k-banking-client:publish"
    )
}